/*
 * Author:          Patrick-Christopher Mattulat
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2022-01-03
 * Changed:         2024-05-31
 *
 * */

#ifndef LS_STD_I_ENCODING_HPP
#define LS_STD_I_ENCODING_HPP

#include <ls-std/core/definition.hpp>
#include <string>

namespace ls::std::core::interface_type
{
  ls_std_class IEncoding
  {
    public:

      IEncoding();
      virtual ~IEncoding();

      virtual ::std::string encode(const ::std::string &_sequence) = 0;
      virtual ::std::string decode(const ::std::string &_sequence) = 0;
  };
}

#endif
